<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_231) on Mon May 04 17:34:23 EEST 2020 -->
<title>IRestaurantProcessingAdministrator</title>
<meta name="date" content="2020-05-04">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="IRestaurantProcessingAdministrator";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":6,"i1":6,"i2":6};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],4:["t3","Abstract Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../BusinessLayer/package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/IRestaurantProcessingAdministrator.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li><a href="../index-files/index-1.html">Index</a></li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev&nbsp;Class</li>
<li><a href="../BusinessLayer/IRestaurantProcessingWaiter.html" title="interface in BusinessLayer"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?BusinessLayer/IRestaurantProcessingAdministrator.html" target="_top">Frames</a></li>
<li><a href="IRestaurantProcessingAdministrator.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">BusinessLayer</div>
<h2 title="Interface IRestaurantProcessingAdministrator" class="title">Interface IRestaurantProcessingAdministrator</h2>
</div>
<div class="contentContainer">
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<br>
<pre>public interface <span class="typeNameLabel">IRestaurantProcessingAdministrator</span></pre>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t3" class="tableTab"><span><a href="javascript:show(4);">Abstract Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>BusinessLayer.MenuItem</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../BusinessLayer/IRestaurantProcessingAdministrator.html#createMenuItem-java.lang.String-java.lang.String-java.lang.String-java.util.ArrayList-">createMenuItem</a></span>(java.lang.String&nbsp;nume,
              java.lang.String&nbsp;pret,
              java.lang.String&nbsp;tip,
              java.util.ArrayList&lt;BusinessLayer.MenuItem&gt;&nbsp;m)</code>&nbsp;</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>java.util.ArrayList&lt;BusinessLayer.MenuItem&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../BusinessLayer/IRestaurantProcessingAdministrator.html#deleteMenuItem-java.util.ArrayList-java.lang.String-">deleteMenuItem</a></span>(java.util.ArrayList&lt;BusinessLayer.MenuItem&gt;&nbsp;meniu,
              java.lang.String&nbsp;m)</code>&nbsp;</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>java.util.ArrayList&lt;BusinessLayer.MenuItem&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../BusinessLayer/IRestaurantProcessingAdministrator.html#editMenuItem-java.lang.String-java.lang.String-java.lang.String-java.lang.String-java.util.ArrayList-">editMenuItem</a></span>(java.lang.String&nbsp;nume,
            java.lang.String&nbsp;tip,
            java.lang.String&nbsp;actiune,
            java.lang.String&nbsp;var,
            java.util.ArrayList&lt;BusinessLayer.MenuItem&gt;&nbsp;meniu)</code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="createMenuItem-java.lang.String-java.lang.String-java.lang.String-java.util.ArrayList-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createMenuItem</h4>
<pre>BusinessLayer.MenuItem&nbsp;createMenuItem(java.lang.String&nbsp;nume,
                                      java.lang.String&nbsp;pret,
                                      java.lang.String&nbsp;tip,
                                      java.util.ArrayList&lt;BusinessLayer.MenuItem&gt;&nbsp;m)</pre>
</li>
</ul>
<a name="deleteMenuItem-java.util.ArrayList-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>deleteMenuItem</h4>
<pre>java.util.ArrayList&lt;BusinessLayer.MenuItem&gt;&nbsp;deleteMenuItem(java.util.ArrayList&lt;BusinessLayer.MenuItem&gt;&nbsp;meniu,
                                                           java.lang.String&nbsp;m)</pre>
</li>
</ul>
<a name="editMenuItem-java.lang.String-java.lang.String-java.lang.String-java.lang.String-java.util.ArrayList-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>editMenuItem</h4>
<pre>java.util.ArrayList&lt;BusinessLayer.MenuItem&gt;&nbsp;editMenuItem(java.lang.String&nbsp;nume,
                                                         java.lang.String&nbsp;tip,
                                                         java.lang.String&nbsp;actiune,
                                                         java.lang.String&nbsp;var,
                                                         java.util.ArrayList&lt;BusinessLayer.MenuItem&gt;&nbsp;meniu)</pre>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../BusinessLayer/package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/IRestaurantProcessingAdministrator.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li><a href="../index-files/index-1.html">Index</a></li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev&nbsp;Class</li>
<li><a href="../BusinessLayer/IRestaurantProcessingWaiter.html" title="interface in BusinessLayer"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?BusinessLayer/IRestaurantProcessingAdministrator.html" target="_top">Frames</a></li>
<li><a href="IRestaurantProcessingAdministrator.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
